GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
scoped_inc_dec_ref Class Reference

## Public Member Functions
| scoped_inc_dec_ref (const std::vector< thread_info *> &thrds)
| ~scoped_inc_dec_ref ()

## Private Attributes
const std::vector< thread_info * > & | m_thrds

## Detailed Description

Definition at line 68 of file thread.c.

## Constructor & Destructor Documentation

## ◆ scoped_inc_dec_ref()

scoped_inc_dec_ref::scoped_inc_dec_ref | ( | const std::vector< thread_info *> & | thrds | ) |
| inline explicit

Definition at line 71 of file thread.c.

References m_thrds.

## ◆ ~scoped_inc_dec_ref()

scoped_inc_dec_ref::~scoped_inc_dec_ref | ( |  | ) |
| inline

Definition at line 78 of file thread.c.

References m_thrds.

## Member Data Documentation

## ◆ m_thrds

const std::vector<thread_info *>& scoped_inc_dec_ref::m_thrds
| private

Definition at line 85 of file thread.c.

Referenced by scoped_inc_dec_ref(), and ~scoped_inc_dec_ref().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/thread.c